<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения для дополнительного свойства товара.
 * 
 * Файл: /admin/shop/action/delete_big_image_group.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$DataBase = & singleton('DataBase');

$shop = & singleton('shop');

$property_id = to_int($_REQUEST['property_id']);

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$group_id = to_int($_REQUEST['group_id']);

$property_row = $shop->GetPropertiesGroupValue(array('shop_groups_id'=>$group_id, 'shop_properties_group_id'=>$property_id));

$uploaddir = $shop->GetGroupDir($group_id);

if ($property_row)
{		
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{
		
		$image_file = $property_row['shop_properties_group_value_file'];
		
		// Путь к большой картинке
		//$fname = CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/shop_group_' . $group_id . '/' . $image_file;
		$fname = CMS_FOLDER . $uploaddir . $image_file;
		
		// Файл большого изображения существует
		if (is_file($fname))
		{
			@unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$shop->InsertPropertiesGroupValue(array('shop_properties_group_id'=>$property_id, 'shop_groups_id'=>$group_id, 'shop_properties_group_value_file'=>'', 'shop_properties_group_value_value'=>''));		
	}
	else
	{
		show_error_message($GLOBALS['MSG_shops']['error_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>